/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the horizontal and vertical alignment options for the Badge component.
 *
 * For usage examples, see the [Badge Alignment documentation](slug:alignandposition_badge#toc-alignment).
 */
export interface BadgeAlign {
    /**
     * Specifies the vertical alignment of the Badge.
     *
     * The available options are:
     * - `top` (Default)
     * - `bottom`
     */
    vertical?: 'top' | 'bottom';
    /**
     * Specifies the horizontal alignment of the Badge.
     *
     * The available options are:
     * - `start`
     * - `end` (Default)
     */
    horizontal?: 'start' | 'end';
}
