/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the position of the Badge relative to the edge of the parent container element.
 *
 * The possible values are:
 * * `edge` (Default)&mdash;The center of the Badge is positioned on the edge of the parent container element.
 * * `inside`&mdash;The Badge is entirely positioned inside the edge of the parent container element.
 * * `outside`&mdash;The Badge is entirely positioned outside the edge of the parent container element.
 *
 * For more information, see the [Badge Alignment and Position - Position]({% slug alignandposition_badge %}#toc-position) documentation.
 */
export type BadgePosition = 'edge' | 'outside' | 'inside';
