/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the roundness of the Badge component.
 *
 * The possible values are:
 * * `small`&mdash;Sets the `border radius` to `1px`.
 * * `medium` (Default)&mdash;Sets the `border radius` to `2px`.
 * * `large`&mdash;Sets the `border radius` to `4px`.
 * * `full`&mdash;Sets the `border radius` to `9999px`.
 * * `none`&mdash;The none option removes the built-in roundness allowing for custom `border radius`.
 *
 * For more information, see the [Badge Appearance - Rounded]({% slug appearance_badge %}#toc-rounded) documentation.
 */
export type BadgeRounded = 'small' | 'medium' | 'large' | 'full' | 'none';
