/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BadgeContainerComponent } from "./badge/badge-container.component";
import { BadgeComponent } from "./badge/badge.component";
import { LoaderComponent } from "./loader/loader.component";
import { SkeletonComponent } from "./skeleton/skeleton.component";
/**
 * Utility array that contains all `Badge` related components and directives.
 */
export declare const KENDO_BADGE: readonly [typeof BadgeComponent];
/**
 * Utility array that contains all `BadgeContainer` related components and directives.
 */
export declare const KENDO_BADGECONTAINER: readonly [typeof BadgeComponent, typeof BadgeContainerComponent];
/**
 * Utility array that contains all `Loader` related components and directives.
 */
export declare const KENDO_LOADER: readonly [typeof LoaderComponent];
/**
 * Utility array that contains all `Skeleton` related components and directives.
 */
export declare const KENDO_SKELETON: readonly [typeof SkeletonComponent];
/**
 * Utility array that contains all `@progress/kendo-angular-indicators` related components and directives.
 */
export declare const KENDO_INDICATORS: readonly [typeof BadgeComponent, typeof BadgeContainerComponent, typeof LoaderComponent, typeof SkeletonComponent];
