/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./badge/badge.component";
import * as i2 from "./badge/badge-container.component";
import * as i3 from "./loader/loader.component";
import * as i4 from "./skeleton/skeleton.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Indicators components.
 *
 * @example
 *
 * ```ts-no-run
 * import { IndicatorsModule } from '@progress/kendo-angular-indicators';
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, IndicatorsModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 *
 * platformBrowserDynamic().bootstrapModule(AppModule);
 * ```
 */
export declare class IndicatorsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<IndicatorsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<IndicatorsModule, never, [typeof i1.BadgeComponent, typeof i2.BadgeContainerComponent, typeof i3.LoaderComponent, typeof i4.SkeletonComponent], [typeof i1.BadgeComponent, typeof i2.BadgeContainerComponent, typeof i3.LoaderComponent, typeof i4.SkeletonComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<IndicatorsModule>;
}
