/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the animation settings for the Skeleton component.
 *
 * The possible values are:
 * - `pulse`&mdash;(Default) Shows a pulse animation effect.
 * - `wave`&mdash;Shows a wave animation effect.
 * - `false`&mdash;Disables the animation. (Boolean, not a string)
 */
export type SkeletonAnimation = false | 'pulse' | 'wave';
/**
 * @hidden
 */
export declare const validAnimations: SkeletonAnimation[];
/**
 * Specifies the shape of the Skeleton component.
 *
 * The possible values are:
 * - `text`&mdash;(Default) Renders a line Skeleton.
 * - `circle`&mdash;Renders a circular Skeleton.
 * - `rectangle`&mdash;Renders a rectangular Skeleton.
 */
export type SkeletonShape = 'circle' | 'rectangle' | 'text';
/**
 * @hidden
 */
export declare const validShapes: SkeletonShape[];
